Subject: categories: Re: dualities

From: "Mamuka Jibladze" <[email-masked]>
Date: Sun, 30 Apr 2006 20:56:34 +0400

> Next is Pontryagin's: the category of locally compact groups.  The
> original Pontryagin duality easily generalizes: the category of
> locally compact modules over a given commutative ring is self-dual.
> (In the non-commutative case one also obtains a duality but not a
> self-duality -- unless, of course, the ring is self-dual.) A corollary
> is that the category of discrete left  R-modules is dual to the
> category of compact right  R-modules. (For 50 years I've been trying to
> turn this into an exercise in abelian categories. There's a nice
> reduction down to the proposition that  R/Z  is a cogenerator for the
> category of compact abelian groups, but that fact seems to require
> some non-trivial functional analysis.)

This reminded me of a long-standing torture: does anybody know an elementary
proof at least of the particular case when the base ring - thus the dualizer
too - has only two elements? (Demanded by Guram Bezhanishvili; I agreed to
try thinking on this one as it seemed somehow close to Boolean algebras,
but...)

> Then, of course there's my present favorite: the category of finitely
> presented group-valued functors from the category of finitely
> presented modules over a commutative ring.

Yes, yes?